#include "lightnode.h"
#include "scenetree.h"
#include <light.h>

void LightNode::setSceneTree(SceneTree *tree){
    SceneNode::setSceneTree(tree);
    tree->addToIndex(this);
}

void LightNode::toggleVisibility(){
    m_visible = !m_visible;
    if(m_visible){
        m_scene->addToIndex(this);
    }else{
        m_scene->removeFromIndex(this);
    }
}
