#ifndef LIGHTNODE_H
#define LIGHTNODE_H

#include "scenenode.h"
#include "glm/mat4x4.hpp"
#include "scene.h"

class LightNode : public SceneNode
{
    Light *m_light;
    bool m_visible;
public:
    LightNode(Light* light) : m_light(light), m_visible(true) {}

    virtual void update()
    {

    }

    virtual void setSceneTree(SceneTree *tree);

    void toggleVisibility();

    virtual Light* getLight() { return m_light; }
};

#endif // LIGHTNODE_H
